## org.apache.tools.ant.taskdefs.optional.ide
Class VAJLoadServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--org.apache.tools.ant.taskdefs.optional.ide.VAJToolsServlet
                        |
                        +--org.apache.tools.ant.taskdefs.optional.ide.VAJLoadServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class VAJLoadServlet
extends VAJToolsServlet

A Remote Access to Tools Servlet to load a Project from the Repository into the Workbench. The following table describes the servlet parameters.

Parameter | Description
project | The name of the Project you want to load into the Workbench.
version | The version of the package you want to load into the Workbench.

Author:
  Wolf Siberski, based on servlets written by Glenn McAllister
See Also:
  Serialized Form

Field Summary
`static java.lang.String` `VERSION_PARAM`

Fields inherited from class org.apache.tools.ant.taskdefs.optional.ide.VAJToolsServlet
`CLASSES_PARAM, DEFAULT_EXCLUDES_PARAM, DIR_PARAM, EXCLUDE_PARAM, INCLUDE_PARAM, PROJECT_NAME_PARAM, RESOURCES_PARAM, SOURCES_PARAM`

Constructor Summary
`VAJLoadServlet()`

Method Summary
`protected void` `executeRequest()` Respond to a request to load a project from the Repository into the Workbench.

Methods inherited from class org.apache.tools.ant.taskdefs.optional.ide.VAJToolsServlet
`doGet, getBooleanParam, getBooleanParam, getFirstParamValueString, getParamValues, initRequest, toBoolean`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION_PARAM

    public static final java.lang.String VERSION_PARAM

See Also:
  Constant Field Values

Constructor Detail

### VAJLoadServlet

    public VAJLoadServlet()

Method Detail

### executeRequest

    protected void executeRequest()

  Respond to a request to load a project from the Repository into the Workbench.

  Specified by:
    `executeRequest` in class `VAJToolsServlet`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.